summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
-rw-r--r--net-libs/libtorrent/libtorrent-9999.ebuild54
-rw-r--r--net-p2p/rtorrent/rtorrent-9999.ebuild72
2 files changed, 126 insertions, 0 deletions
diff --git a/net-libs/libtorrent/libtorrent-9999.ebuild b/net-libs/libtorrent/libtorrent-9999.ebuild
new file mode 100644
index 0000000..e4643d2
--- /dev/null
+++ b/net-libs/libtorrent/libtorrent-9999.ebuild
@@ -0,0 +1,54 @@
+# Copyright 1999-2009 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: /var/cvsroot/gentoo-x86/net-libs/libtorrent/libtorrent-0.12.4.ebuild,v 1.6 2009/03/06 00:11:38 jer Exp $
+
+inherit base eutils toolchain-funcs flag-o-matic libtool subversion
+
+DESCRIPTION="LibTorrent is a BitTorrent library written in C++ for *nix."
+HOMEPAGE="http://libtorrent.rakshasa.no/"
+SRC_URI=""
+SLOT="0"
+LICENSE="GPL-2"
+KEYWORDS="amd64 hppa ~ia64 ppc ppc64 ~sparc x86 ~x86-fbsd"
+
+ESVN_REPO_URI="svn://rakshasa.no/libtorrent/trunk/libtorrent"
+ESVN_BOOTSTRAP="./autogen.sh"
+
+IUSE="debug ipv6"
+
+RDEPEND=">=dev-libs/libsigc++-2.2.2"
+DEPEND="${RDEPEND}
+ dev-util/pkgconfig"
+
+PATCHES=( "${FILESDIR}/${P}-gcc44.patch" )
+
+src_unpack() {
+# base_src_unpack
+ subversion_src_unpack
+ cd "${S}"
+ elibtoolize #Don't remove. Needed for *bsd.
+}
+
+src_compile() {
+ replace-flags -Os -O2
+
+ if [[ $(tc-arch) = "x86" ]]; then
+ filter-flags -fomit-frame-pointer -fforce-addr
+ fi
+
+ econf \
+ $(use_enable debug) \
+ $(use_enable ipv6) \
+ --enable-aligned \
+ --enable-static \
+ --enable-shared \
+ --disable-dependency-tracking \
+ || die "econf failed"
+
+ emake || die "emake failed"
+}
+
+src_install() {
+ emake DESTDIR="${D}" install || die "make install failed"
+ dodoc AUTHORS NEWS README
+}
diff --git a/net-p2p/rtorrent/rtorrent-9999.ebuild b/net-p2p/rtorrent/rtorrent-9999.ebuild
new file mode 100644
index 0000000..562d1c0
--- /dev/null
+++ b/net-p2p/rtorrent/rtorrent-9999.ebuild
@@ -0,0 +1,72 @@
+# Copyright 1999-2009 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: /var/cvsroot/gentoo-x86/net-p2p/rtorrent/rtorrent-0.8.4-r1.ebuild,v 1.7 2009/03/06 00:13:27 jer Exp $
+
+inherit base eutils toolchain-funcs flag-o-matic subversion
+
+DESCRIPTION="BitTorrent Client using libtorrent"
+HOMEPAGE="http://libtorrent.rakshasa.no/"
+SRC_URI=""
+
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="amd64 hppa ~ia64 ppc ppc64 ~sparc x86 ~x86-fbsd"
+IUSE="daemon debug ipv6 xmlrpc"
+
+ESVN_REPO_URI="svn://rakshasa.no/libtorrent/trunk/rtorrent"
+ESVN_BOOTSTRAP="./autogen.sh"
+
+COMMON_DEPEND=">=net-libs/libtorrent-0.12.${PV##*.}
+ >=dev-libs/libsigc++-2.2.2
+ >=net-misc/curl-7.19.1
+ sys-libs/ncurses
+ xmlrpc? ( dev-libs/xmlrpc-c )"
+RDEPEND="${COMMON_DEPEND}
+ daemon? ( app-misc/screen )"
+DEPEND="${COMMON_DEPEND}
+ dev-util/pkgconfig"
+
+PATCHES=( "${FILESDIR}/${PN}-0.8.2-gcc34.patch"
+ "${FILESDIR}/${PN}-0.8.4-gcc44.patch" )
+
+src_unpack() {
+ subversion_src_unpack
+}
+
+src_compile() {
+ replace-flags -Os -O2
+ append-flags -fno-strict-aliasing
+
+ if [[ $(tc-arch) = "x86" ]]; then
+ filter-flags -fomit-frame-pointer -fforce-addr
+ fi
+
+ econf $(use_enable debug) \
+ $(use_enable ipv6) \
+ $(use_with xmlrpc xmlrpc-c) \
+ --disable-dependency-tracking \
+ || die "econf failed"
+
+ emake || die "emake failed"
+}
+
+src_install() {
+ emake DESTDIR="${D}" install || die "make install failed"
+ dodoc AUTHORS README TODO doc/rtorrent.rc
+
+ if use daemon; then
+ newinitd "${FILESDIR}/rtorrentd.init" rtorrentd || die "newinitd failed"
+ newconfd "${FILESDIR}/rtorrentd.conf" rtorrentd || die "newconfd failed"
+ fi
+}
+
+pkg_postinst() {
+ elog "rtorrent now supports a configuration file."
+ elog "A sample configuration file for rtorrent can be found"
+ elog "in rtorrent.rc in ${ROOT}usr/share/doc/${PF}/"
+ elog ""
+ ewarn "If you're upgrading from rtorrent <0.8.0, you will have to delete your"
+ ewarn "session directory or run the fixSession080-c.py script from this address:"
+ ewarn "http://rssdler.googlecode.com/files/fixSession080-c.py"
+ ewarn "See http://libtorrent.rakshasa.no/wiki/LibTorrentKnownIssues for more info."
+}